!$Id: nrtype.f90,v 1.1 2003/09/14 13:06:53 rezzolla Exp rezzolla $
MODULE nrtype
	INTEGER, PARAMETER :: I4B = SELECTED_INT_KIND(9)
	INTEGER, PARAMETER :: I2B = SELECTED_INT_KIND(4)
	INTEGER, PARAMETER :: I1B = SELECTED_INT_KIND(2)
	INTEGER, PARAMETER :: SP = KIND(1.0)
	INTEGER, PARAMETER :: DP = KIND(1.0D0)
	INTEGER, PARAMETER :: SPC = KIND((1.0,1.0))
	INTEGER, PARAMETER :: DPC = KIND((1.0D0,1.0D0))
	INTEGER, PARAMETER :: LGT = KIND(.true.)
	REAL(SP), PARAMETER ::      PI=3.14159265_sp
	REAL(SP), PARAMETER ::    PIO2=1.57079632_sp
	REAL(SP), PARAMETER ::   TWOPI=6.28318530_sp
	REAL(SP), PARAMETER ::   SQRT2=1.41421356_sp
	REAL(SP), PARAMETER ::   EULER=0.57721566_sp
	REAL(DP), PARAMETER ::    PI_D=3.1415926535897932_dp
	REAL(DP), PARAMETER ::  PIO2_D=1.5707963267948966_dp
	REAL(DP), PARAMETER :: TWOPI_D=6.2831853071795864_dp
	TYPE sprs2_sp
		INTEGER(I4B) :: n,len
		REAL(SP), DIMENSION(:), POINTER :: val
		INTEGER(I4B), DIMENSION(:), POINTER :: irow
		INTEGER(I4B), DIMENSION(:), POINTER :: jcol
	END TYPE sprs2_sp
	TYPE sprs2_dp
		INTEGER(I4B) :: n,len
		REAL(DP), DIMENSION(:), POINTER :: val
		INTEGER(I4B), DIMENSION(:), POINTER :: irow
		INTEGER(I4B), DIMENSION(:), POINTER :: jcol
	END TYPE sprs2_dp
END MODULE nrtype
